version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: fe766a65659740319f50111f2fa8479a51d4017fea5b7fac4e9d577639a8f0de, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
